---
title: ProgressEvent.lengthComputable
slug: Web/API/ProgressEvent/lengthComputable
tags:
  - API
  - Progress Events
  - ProgressEvent
  - Property
---
<p>{{APIRef("DOM Events")}}</p>

<p><span class="seoSummary">The <code><strong>ProgressEvent.lengthComputable</strong></code> read-only property is a {{domxref("Boolean")}} flag indicating if the resource concerned by the {{domxref("ProgressEvent")}} has a length that can be calculated. If not, the {{domxref("ProgressEvent.total")}} property has no significant value.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>flag</em> = <em>ProgressEvent</em>.lengthComputable</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('XMLHttpRequest', '#dom-progressevent-lengthcomputable', 'ProgressEvent.lengthComputable')}}</td>
   <td>{{Spec2('XMLHttpRequest')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.ProgressEvent.lengthComputable")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("ProgressEvent")}} interface it belongs to.</li>
</ul>
